Using Management Consoles


Overview

This tour will:

  • Answer the question, "What is the Microsoft Management Console (MMC)?"
  • Discuss management console options.
  • Show what BackOffice Server snap-ins offer.
  • Present the management consoles available for BackOffice Server.

This tour should take about eight minutes to complete. At its conclusion, you will better understand MMC and how to use its powerful capabilities as a network management tool.


What is a Management Console?

The Microsoft Management Console (MMC) provides a framework for centralized network monitoring and management with a consistent management interface.

Similar to Windows Explorer, the scope pane contains the console tree tab and a favorites tab. The result pane contains details about the selected node in the console tree. Together, these panes form the namespace.

The console tree in the scope pane contains the snap-ins that provide the management functionality. For the currently selected node in the console tree, the result pane contains the child nodes and information about the node. The favorites tab contains a list that you can use to gain access to nodes quickly.

Taskpads contain folder lists, task icons, and links to graphical interfaces that enable you to perform a node-related task.


Use an Existing Console

BackOffice Server 2000 contains preconfigured management consoles, including consoles with taskpad views that are exclusive to BackOffice Server.


Create a Console

You can create new consoles by opening a console file, adding snap-ins, and creating taskpads. You can customize taskpad views by adding or removing tasks. When you have created your new console, you can save it with a unique name to the location of your choice—your desktop, for example.


Customize a Console

You can customize console navigation, the number of snap-ins a console contains, the taskpads and tasks that are visible, the icons that represent different tasks, and whether a deployed console may be further customized.


Deploy a Console

After you create or customize a management console, you can deploy the console (.msc) file to any user or administrator in your organization as an e-mail attachment or by making it available through a Terminal Services session.


Four Options When Using a Management Console

MMC Options

MMC lets you manage your network more flexibly. BackOffice Server 2000 provides consoles that you can use immediately after installation. You can create custom consoles or customize existing consoles for use on your network. MMC console files (.msc files) are easily deployed throughout your network. For a description of each option, click a link below:

  • Use an Existing Console
  • Create a Console
  • Customize a Console
  • Deploy a Console


Who Will Use the Console?

Determining who will accomplish the tasks that you assign is your first priority. You will deploy different types of consoles for administrators than for branch office power users.


Delegate Tasks

Because a management console can contain many tools or just one taskpad, knowing exactly what you want a user to accomplish will allow you to deploy the best console for that user.


Access Permissions

Make sure the user belongs to a group with adequate permissions to perform the delegated task.


Considerations Before Deploying Consoles

Planning Console Deployment

Before you deploy and customize MMC consoles to manage your BackOffice Server 2000 network, take time to plan this important part of your total network management strategy. Following are some fundamental questions to ask before delegating a management responsibility. For a description of each issue, click each link below:

  • Who Will Use the Console?
  • Which Tasks Will You Delegate?
  • Are Group Access Permissions Sufficient?


BackOffice Manager

The BackOffice Manager snap-in is the main point of administration for your BackOffice Server 2000 network. This snap-in allows customized queries of Active Directory objects such as users, groups, printers, and computers.


MultiServer Manager

You can install BackOffice Server 2000 applications across three different servers in a configuration called MultiServer. The BackOffice MultiServer Manager snap-in lets you ssss take inventory of all the MultiServer configurations in your organization and launch the MultiServer Manager console to manage the configuration you choose.


BackOffice Home

The BackOffice Home snap-in provides a visual representation of server health using the Server Status View. This snap-in graphically displays information about alerts, performance counters, and services. This allows customizable, high-level monitoring of real-time server performance.


BackOffice Server 2000 Snap-ins

Most of the applications you run on your network offer management functionality through MMC snap-ins. BackOffice Server 2000 provides snap-ins designed specifically to manage and monitor BackOffice Server. For a description of each snap-in, click a link below:

  • BackOffice Manager Snap-in
  • BackOffice MultiServer Manager Snap-in
  • BackOffice Home Snap-in


Central Server

An organization that deploys BackOffice Server as a central server:

  • Is a medium-sized organization.
  • Sometimes has branch offices.
  • Has dedicated on-site IT staff.
  • Has a connection to the Internet.
  • Sometimes hosts its own Web site.


Branch Office Server

A typical organization that deploys BackOffice Server as a branch office server:

  • Has branches that belong to a much larger organization.
  • Connects the branches to the home office or headquarters.
  • Has IT staff at the home office but not in branch offices.


Server Locations

Server Deployment

An organization can deploy BackOffice 2000 Server in one of two ways: as a central server or as a branch office server. To view information about the two options, click the links below:

  • Central Server
  • Branch Office Server


Type of Console

Both the BackOffice Server Management console and the MultiServer Core console are tree-oriented consoles containing both a tree and favorites tab in the scope pane and a customizable view in the result pane.


Remote Administration

Remote administration is accomplished through Terminal Services. BackOffice Server consoles are installed on all servers running BackOffice Server, so you can begin a Terminal Services session on a local server and use the native tools to manage the remote computer running BackOffice Server.


Customization

While the BackOffice Server Management console and the MultiServer Core console are preconfigured with a full set of management snap-ins, they can be customized further. For instance, you can add or change snap-ins and taskpads. You are encouraged to build customized management tools based on your specific needs.


Administrative Consoles

BackOffice Server 2000 provides the BackOffice Server Management console for administrators. This console contains a full range of management snap-ins, including the BackOffice Server Manager and BackOffice Home snap-ins, Health Monitor, and snap-ins for BackOffice Server applications.

If your organization installs BackOffice Server in a MultiServer configuration, the BackOffice MultiServer Core console is also installed on every computer running BackOffice Server. Launched from the MultiServer Manager snap-in, this console targets a specific MultiServer configuration and contains some of the same tools found in the BackOffice Server Management console.

  • Type of Console
  • Remote Administration
  • Customization


Power User Console

BackOffice Server 2000 provides the My BackOffice Server console for power users and some junior-level administrators. This console is installed on every computer running BackOffice Server and contains limited management tools, including the BackOffice Home taskpad as well as taskpads for users, groups, and computers.

The My BackOffice Server console is a task-oriented console containing only a favorites tab in the scope pane and a taskpad or set of taskpads in the result pane. The tree view is hidden, preventing users from navigating the snap-in structure of the console.

The console is typically saved in user mode, and cannot be further customized.


More Information/Links

Learn More

You have now finished the Management Console Tour. See below for additional information, resources, articles, and links.

Customizing Management Consoles

Create a Taskpad


DRAFT Customizing Management Consoles

BackOffice Server uses the Microsoft Management Console (MMC) to provide administrators a single interface from which to manage hardware, software, and network objects. BackOffice Server comes with two full-featured management consoles that are sufficient for most administrative needs:

  • BackOffice Server Management console (ITProSBSConsole.msc)
  • My BackOffice Server console (MySBSConsole.msc)

You may also use these consoles as templates to create your own management consoles that you can then distribute to the administrators or power users on your network.

Designing Consoles

Before you create a new console, you should identify the tasks the console will perform, the components it will administer, the snap-ins and controls that it use to perform the tasks, and the level of access to be granted to the person who will eventually use the console. Once you have a console design, you can open a new or existing console and add or remove snap-ins and tasks as necessary. In order to create or edit a console you must open the console in author mode.

Adding or Removing Snap-Ins

The first step in creating a custom console is to add or remove snap-ins from the console tree. This is true whether you open an existing console or start with an empty console. If you are customizing an existing console, be sure you remove any snap-ins that will not be used by the intended console administrator.

Once you have added a snap-in to a console, you can then enable or disable any associated snap-in extensions. When you enable an extension, it is automatically placed underneath the selected snap-in as a query node listing in the Console Tree.

Add a Standalone Snap-in to a Console

Add an Extension to a Snap-in

Remove a Snap-in from a Console

Remove an Extension from a Snap-in

Modify a Snap-in List View

Adding Taskpads

Once you have configured the console with all necessary snap-ins and extensions, you can add one or more taskpads.

A taskpad is a task-based view that appears in the Details Pane of a management console when you follow a link or when you select a node in the Console Tree. Taskpads organize tasks into groups that meet the needs of specific types of administrators. They can be used as a user interface that can accomplish a variety of functions, including launching executable files, running scripts, accessing web pages, or even launching another management console.

Many preconfigured taskpads are included with BackOffice Server. The Favorites tab of BackOffice Server contains taskpads for users, security groups, shared folders, printers, email, fax, and computers. These taskpads are especially helpful to novice users and users who don’t need or want to know about navigation through the Console Tree, which can be hidden from view.

You may want to create or modify a taskpad for the following reasons:

  • To group together commonly used tasks with a particular snap-in or snap-ins
  • To change the list of tasks available to particular users or remote administrators
  • To manage a network resource that does not already have a taskpad
  • To add or remove tasks based on the intended console administrator
  • To launch applications, scripts, or other management consoles from a taskpad

Create a Taskpad

Delete a Taskpad

Add a Task to a Taskpad

Delete a Task from a Taskpad

Adding or Removing Console Elements

Not every console administrator will need all the functionality provided by MMC consoles. Before saving and distributing the console, hide console elements that are not necessary to the administrator. You can hide the following elements from the intended console administrator:

  • Console Tree
  • Description bar
  • Status bar
  • Snap-in buttons
  • Snap-in menus
  • Standard buttons
  • Standard menus

Caution Always hide the Standard menus last. If you hide them too early, you will not be able to hide other console elements without reopening the console.

Add or Remove Console Elements

Set Console Access Options

Console access options determine whether a console administrator can change the console view, add or remove snap-ins and taskpads, and save console changes. If you want to allow or prevent your intended administrators from further modifying a console, you can set the console access options to author or user mode.

Author Mode

Assigning the author mode option to a console grants an administrator full access to all console functionality, including the ability to add or remove snap-ins and taskpads, define new tasks, and view all portions of the console tree.

When author mode is set as the default mode for a console, Microsoft Management Console always opens that console in author mode. When one of the user modes is set as the default for a console, you can use either the context-sensitive command Author or the command-line option /a to open the console in author mode.

User Mode

Use the user mode options to eliminate authoring features and constrain the console views and queries that a user can use to perform administrative tasks.

  • Full access. Displays the entire console tree, but prevents users from adding or removing snap-ins or changing console properties.
  • Limited access, Multiple window. Displays only portions of the Console Tree (as defined by the console author or administrator) and prevents users from adding or removing snap-ins, or changing console properties.
  • Limited access, Single window. Same as previous option, but also prevents users from creating new windows.

Set Access Options for Management Consoles

Save the Console File

After you have finished configuring a custom console, save the file.

Distribute the Console File

Once a console file has been saved, you can provide it to the intended administrator via e-mail, over the network, or on a floppy disk.

More Information

For more information, see "Authoring MMC Consoles" in the Microsoft Management Console online Help.

Related Topics

Best Practices

New Ways to do Familiar Tasks

Built on Thursday, April 20, 2000


DRAFT Create a Taskpad

A taskpad is a task-based view that appears in the Details Pane of a management console when you follow a link or when you select a node in the Console Tree. Taskpads organize tasks into groups that meet the needs of specific types of administrators. They can be used as a user interface that can accomplish a variety of functions, including launching executable files, running scripts, accessing web pages, or even launching another management console. Many preconfigured tasks are included with BackOffice Server.

A taskpad is designed to let the user easily interact with its associated snap-in. Taskpads are especially helpful to novice users and users who don’t need or want to know about navigation through the Console Tree, which can be hidden from view.

Taskpads can be added and customized to suit the needs of your organization.

To create a new taskpad for a snap-in

  1. Open the console you wish to modify in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. From the Console Tree, click the snap-in for which you want to create a taskpad.
  3. Click Action, and then click New Taskpad view to start the New Taskpad View Wizard.
  4. Follow the on-screen instructions to complete the wizard. You can add new tasks to the taskpad by clicking the Start New Task Wizard checkbox at the end of the wizard.

Related Topics

Built on Thursday, April 20, 2000


Overview

What is MMC?

MMC Options

Planning Deployment

Snap-ins

Server Deployment

Administrative Consoles

Power User Console

Learn More